@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.button {
  height: 50px;
  width: 100%;
  max-width: 208px;
  border: none !important;
  border-radius: 10px !important;
  background: $primaryColor !important;
  @include font($fontGotham, 16px, 19.2px);
  color: $whiteColor;
  transition: 0s !important;

  &:hover {
    cursor: pointer;
    background: $background !important;
    color: $blackColor !important;
    box-shadow: 0 0 0 2px $greyText !important;
    outline: none;
  }

  &:focus,
  &:active,
  &:active:focus {
    box-shadow: none !important;

    &:hover {
      box-shadow: 0 0 0 2px $greyText !important;
    }
  }

  // svg {
  //   margin-top: -2px;
  //   margin-right: 10px;
  // }
}

.primary {
  &:disabled {
    background: $greyColor !important;
    pointer-events: none;
  }
}

.secondary {
  background: transparent !important;
  color: $primaryColor !important;
  box-shadow: 0 0 0 2px inset $primaryColor !important;

  &:focus,
  &:active,
  &:active:focus {
    box-shadow: 0 0 0 2px inset $primaryColor !important;
  }

  &:disabled {
    background: transparent !important;
    box-shadow: 0 0 0 2px inset $greyColor !important;
    pointer-events: none;
    color: $greyColor !important;
  }
}

.loading {
  pointer-events: none;
}
